Bug 1263304 - Unexpected attribute error when accessing ipsilon server
Unexpected attribute error when accessing ipsilon server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipsilon (Show other bugs)
7.2
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 10:02 EDT by Veronika Kabatova
Modified: 2015-09-22 12:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-22 12:32:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Veronika Kabatova 2015-09-15 10:02:27 EDT
Description of problem:
After installation of ipsilon server, I tried to access the /idp page. Instead of the page, Internal Server Error occurred. The apache error log ended with

    AttributeError: 'SAML2SessionStore' object has no attribute 'remove_expired_sessions'

Version-Release number of selected component (if applicable):
    rpm -qa ipsilon*
    
    ipsilon-saml2-base-1.0.0-9.el7.noarch
    ipsilon-base-1.0.0-9.el7.noarch
    ipsilon-1.0.0-9.el7.noarch
    ipsilon-authgssapi-1.0.0-9.el7.noarch
    ipsilon-filesystem-1.0.0-9.el7.noarch
    ipsilon-saml2-1.0.0-9.el7.noarch
    ipsilon-infosssd-1.0.0-9.el7.noarch
    ipsilon-authform-1.0.0-9.el7.noarch

Version 1.0.0-8 (distributed lastly with RHEL 7.2 compose from 4.9.) works correctly.


How reproducible:
Always

Steps to Reproduce:
1. ipsilon-server-install --form yes --info-sssd yes
2. service httpd restart
3. curl https://`hostname`/idp (or access the page in browser)

Actual results:
500 Internal Server Error

Expected results:
Show the login page of ipsilon server.

Additional info:
Comment 2 Rob Crittenden 2015-09-21 19:39:54 EDT
This is fixed in ipsilon-1.0.0-10 for me. Can you re-test?
Comment 3 Veronika Kabatova 2015-09-22 08:30:26 EDT
(In reply to Rob Crittenden from comment #2)
> This is fixed in ipsilon-1.0.0-10 for me. Can you re-test?

Version 1.0.0-10 works, however it fills the error log with

[Tue Sep 22 06:46:30.730404 2015] [:error] [pid 26847] Exception in thread Thread-3:
[Tue Sep 22 06:46:30.730439 2015] [:error] [pid 26847] Traceback (most recent call last):
[Tue Sep 22 06:46:30.730441 2015] [:error] [pid 26847]   File "/usr/lib64/python2.7/threading.py", line 811, in __bootstrap_inner
[Tue Sep 22 06:46:30.730443 2015] [:error] [pid 26847]     self.run()
[Tue Sep 22 06:46:30.730444 2015] [:error] [pid 26847]   File "/usr/lib/python2.7/site-packages/cherrypy/process/plugins.py", line 475, in run
[Tue Sep 22 06:46:30.730446 2015] [:error] [pid 26847]     self.function(*self.args, **self.kwargs)
[Tue Sep 22 06:46:30.730448 2015] [:error] [pid 26847]   File "/usr/lib/python2.7/site-packages/ipsilon/util/data.py", line 343, in _maybe_run_cleanup
[Tue Sep 22 06:46:30.730450 2015] [:error] [pid 26847]     removed_entries = self._cleanup()
[Tue Sep 22 06:46:30.730451 2015] [:error] [pid 26847]   File "/usr/lib/python2.7/site-packages/ipsilon/util/data.py", line 603, in _cleanup
[Tue Sep 22 06:46:30.730452 2015] [:error] [pid 26847]     table = SqlQuery(self._db, self.table, UNIQUE_DATA_TABLE)._table
[Tue Sep 22 06:46:30.730460 2015] [:error] [pid 26847] AttributeError: 'TranStore' object has no attribute 'table'


Not sure how deterministic this issue is (ipsilon works correctly), I saw it fill the error log only with the first access to http://`hostname`/idp (tried it on more Beaker jobs, it always happened with the first access). I don't know if this AttributeError is connected with the fix of the previous one, if not, I can open separate bugzilla report.
Comment 4 Jan Pazdziora 2015-09-22 09:27:38 EDT
(In reply to Veronika Kabatova from comment #3)
> (In reply to Rob Crittenden from comment #2)
> > This is fixed in ipsilon-1.0.0-10 for me. Can you re-test?
> 
> Version 1.0.0-10 works, however it fills the error log with
> 
> [Tue Sep 22 06:46:30.730404 2015] [:error] [pid 26847] Exception in thread
> Thread-3:
> [Tue Sep 22 06:46:30.730439 2015] [:error] [pid 26847] Traceback (most
> recent call last):
> [Tue Sep 22 06:46:30.730441 2015] [:error] [pid 26847]   File
> "/usr/lib64/python2.7/threading.py", line 811, in __bootstrap_inner
> [Tue Sep 22 06:46:30.730443 2015] [:error] [pid 26847]     self.run()

Veronika, please file separate bugzilla for this issue.
Comment 5 Patrick Uiterwijk 2015-09-22 12:32:53 EDT
The original bug was fixed in ipsilon-1.0.0-10.

Note You need to log in before you can comment on or make changes to this bug.